body {
  width: 100%;
  height: 100%;
}

.site-no-transform {
  transform: none !important;
}

.slideout-menu-left {
  left: 0;
}

.slideout-menu-right {
  right: 0;
}

.slideout-panel {
  position: relative;
  z-index: 1;
  // will-change: transform;
  background-color: $white; /* A background-color is required */
  min-height: 100vh;
}

.slideout-open,
.slideout-open body,
.slideout-open .slideout-panel {
  overflow: hidden;
}

.slideout-open .slideout-menu {
  display: block;
}

//colors
$color_blue_bayoux_approx: #4d5d7e;
$color_sinbad_approx: #9ad7d0;
$color_martinique_approx: #3b345d;
$color_silver_approx: #bdbcbc;
$white: white;
$color_jungle_mist_approx: #b4d3d5;
$color_gallery_approx: #eee;

.slideout {
  display: none;
}

.slideout-menu {
  position: fixed;
  top: 0;
  bottom: 0;
  width: 256px;
  min-height: 100vh;
  overflow-y: scroll;
  z-index: 0;
  display: none;
  background: $black-abs;

  .navbar-toggle {
    position: absolute !important;
    bottom: 70px;
    right: 10px;
    font-size: 15px;
    letter-spacing: 1px;    

    p {
      color: white;
    }
  }

  &-white {
    background-color: $white !important;
  }
  .dropdown-toggle {
    position: absolute;
    top: 0;
    right: 0;
    padding: 0 20px;
    color: $white;
    text-transform: uppercase;
    background-color: transparent;
    border: none;
    &:hover {
      color: $white;
      background-color: transparent !important;
    }
  }
  .dropdown-menu {
    position: relative;
    float: none;
    margin: 0;
    background-color: transparent;
    border: 0;
    //Instead of the line below you could use @include box-shadow($shadow-1, $shadow-2, $shadow-3, $shadow-4, $shadow-5, $shadow-6, $shadow-7, $shadow-8, $shadow-9, $shadow-10)
    box-shadow: none;
    padding: 0;
    width: 100%;
  }
  ul li a:not(.dropdown-toggle) {
    display: block;
    padding: 10px 20px;
    color: $white;
    font-size: 12px;
    text-transform: uppercase;
  }
}
.dropdown-submenu {
  background: #676767;
  a {
    color: $white !important;
  }
}
#category-menu {
  .open > .dropdown-toggle {
    //Instead of the line below you could use @include transform($scale, $rotate, $transx, $transy, $skewx, $skewy, $originx, $originy)
    transform: rotate(180deg);
  }
  .dropdown-submenu > a.rotate {
    //Instead of the line below you could use @include transform($scale, $rotate, $transx, $transy, $skewx, $skewy, $originx, $originy)
    transform: rotate(180deg);
  }
}
.subsubmenu {
  background: $color_silver_approx;
}
.links {
  position: absolute;
  bottom: 0;
  width: 100%;
  padding: 10px 20px;
  a {
    color: $color_jungle_mist_approx;
    font-size: 24px;
    margin-right: 10px;
  }
}
.slideout-menu-left {
  left: 0;
}
.slideout-menu-right {
  right: 0;
}
.slideout-panel {
  z-index: 1;
  min-height: 100vh;
  background: $white;
}
.slideout-open {
  overflow: hidden;
  body {
    overflow: hidden;
  }
  .slideout-panel {
    overflow: hidden;
  }
  .slideout-menu {
    display: block;
  }
}
.slideout-border {
  border-bottom: 1px solid $color_gallery_approx;
}
.navbar-toggle {
  padding: 0;
  margin: 0;
}
.dropdown-toggle:focus {
  color: $white;
  background-color: transparent !important;
}
.fa-angle-down:before {
  content: "\f107";
  font-size: 26px;
  background: transparent;
}
.dropdown-menu > li > a {
  &:hover {
    background: inherit !important;
  }
  &:focus {
    background: inherit !important;
  }
}
